Bug Hunting Session
Bug 123446 - Writer crashes after undoing + redoing ToC insertion in middle of word
Summary: Writer crashes after undoing + redoing ToC insertion in middle of word
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.beta1+
Hardware: All All
: highest critical
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:6.3.0 target:6.2.2
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks: TableofContents-Indexes Undo-Redo
  Show dependency treegraph
 
Reported: 2019-02-13 18:03 UTC by Aron Budea
Modified: 2019-04-07 13:57 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: ["SwTOXBaseSection::Update(SfxItemSet const *,SwRootFrame const *,bool)"]


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2019-02-13 18:03:14 UTC
This is similar to bug 123313, which is about an assertion failure, but doesn't cause a crash in a release build. However, just adding a single step crashes LO.

- Add a word to an empty document.
- Change its style to Heading 2.
- Position cursor somewhere in the middle of the word, and add Table of Contents (no need to change anything in the dialog).
- Undo the ToC insertion.
- Redo the ToC insertion.

=> Crash.

The following crash report was generated:
http://crashreport.libreoffice.org/stats/crash_details/bbe2082c-876a-4645-b73e-e83eab63ed64

There's a crash in LO 6.2.0.3 / Windows 7.
No crash in LO 6.1.0.3.
=> regression
Comment 1 raal 2019-02-13 18:40:14 UTC
Confirm. Version: 6.3.0.0.alpha0+
Build ID: c7ad7849d54fd3dad67e7779102f65b8b2f04881
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3;
Comment 2 raal 2019-02-13 18:53:50 UTC
This seems to have begun at the below commit.
Adding Cc: to Michael Stahl. Could you possibly take a look at this one?
Thanks

f36e38fc5cdb2e460380cf5cec8a7be709f62916 is the first bad commit
commit f36e38fc5cdb2e460380cf5cec8a7be709f62916
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Fri Dec 21 22:26:24 2018 +0100

    source sha:80cedb5dcb6a7dd6c01349b93fab49ecee5f6594

author	Michael Stahl <Michael.Stahl@cib.de>	2018-12-21 11:56:30 +0100
committer	Michael Stahl <Michael.Stahl@cib.de>	2018-12-21 22:13:23 +0100
commit	80cedb5dcb6a7dd6c01349b93fab49ecee5f6594 (patch)
tree	86f8532d5b3cde18e70d1cd814a842c5a93953e9
parent	3103f9f9461f6eabb61a70be73862ef4be98010e (diff)
sw_redlinehide: adapt ToX Update
Comment 3 Michael Stahl (CIB) 2019-03-05 11:13:10 UTC
fixed on master
Comment 4 Commit Notification 2019-03-05 11:14:28 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/405661a98f01416c596083262691cedd941733a1%5E%21

tdf#123446 sw_redlinehide: fix crash on Redo of ToX

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2019-03-07 16:45:36 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/e53a3e8cc21b5c54c2463fbad6debd2011307b1c%5E%21

tdf#123446 sw_redlinehide: fix crash on Redo of ToX

It will be available in 6.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2019-03-12 19:03:34 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 8aa579830b20072af8d6e149d6b279362fe98b91
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Michael Stahl, thanks for fixing this!
Comment 7 Xisco Faulí 2019-03-12 19:05:44 UTC
Cherry-picked to 6-2-2 -> https://gerrit.libreoffice.org/#/c/69130/
Comment 8 Commit Notification 2019-03-15 17:32:53 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-2-2":

https://git.libreoffice.org/core/+/b71f54527a08eedf91b4268f280816a45928737a%5E%21

tdf#123446 sw_redlinehide: fix crash on Redo of ToX

It will be available in 6.2.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2019-04-07 13:57:48 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/c37d632a12538dc1f7f32a4f9d2749aaf5f4d019%5E%21

uitest for bug tdf#123446

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.